> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/stripe_gateways.md).

# Stripe gateways

Configuring a Stripe payment gateway for a market lets you safely process payments through [Stripe](https://stripe.com/docs). The Stripe gateway is compliant with the PSD2 European regulation so that you can implement a payment flow that supports SCA and 3DS2 by using the Stripe's official JS SDK and libraries.

To create a Stripe gateway choose a meaningful name that helps you identify it within your organization and gather all the credentials requested (like [secret and publishable keys](https://stripe.com/docs/keys#obtain-api-keys), etc. — contact [Stripe's support](https://support.stripe.com/) if you are not sure about the requested data).

{% hint style="warning" %}
If you're leveraging Stripe `auto_payments` option on your gateway, make sure to specify a `return_url` when you create a [Stripe payment](/core-api-reference/stripe_payments.md).
{% endhint %}

<details>

<summary>How-to</summary>

Check the related [guide](https://docs.commercelayer.io/developers/v/how-tos/payments/stripe) to learn more on how Commerce Layer handles the server-side part of the integration process with Stripe.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/stripe_gateways.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
